# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu May 27 14:43:40 2021
# ------------------------------------------------

package:
  name: mkl_random
  version: 1.2.2
source:
  sha256: 7f3fd565c55e9fc83bc617764ba631f716041e9c58d6805fcf864928ff2b4b33
  url: https://github.com/IntelPython/mkl_random/archive/v1.2.2.post1.tar.gz
build:
  ignore_run_exports:
    - blas
  number: '0'
  string: py39hde0f152_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_30
    - gxx_impl_linux-64 9.3.0 hd87eabc_19
    - gxx_linux-64 9.3.0 h3fbe746_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-devel_linux-64 9.3.0 hb016644_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - sysroot_linux-64 2.12 h77966d4_13
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_llvm
    - ca-certificates 2020.12.5 ha878542_0
    - certifi 2020.12.5 py39hf3d152e_1
    - cython 0.29.23 py39he80948d_0
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libblas 3.9.0 9_openblas
    - libcblas 3.9.0 9_openblas
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgfortran-ng 9.3.0 hff62375_19
    - libgfortran5 9.3.0 hff62375_19
    - liblapack 3.9.0 9_openblas
    - libopenblas 0.3.15 pthreads_h8fe5266_1
    - libstdcxx-ng 9.3.0 h6de172a_19
    - llvm-openmp 11.1.0 h4bd325d_1
    - mkl 2021.2.0 h726a3e6_389
    - mkl-devel 2021.2.0 ha770c72_390
    - mkl-include 2021.2.0 h726a3e6_389
    - ncurses 6.2 h58526e2_4
    - numpy 1.19.5 py39hdbf815f_1
    - openssl 1.1.1k h7f98852_0
    - python 3.9.4 hffdb5ce_0_cpython
    - python_abi 3.9 1_cp39
    - readline 8.1 h46c0cb4_0
    - setuptools 49.6.0 py39hf3d152e_3
    - sqlite 3.35.5 h74cdb3f_0
    - tbb 2021.2.0 h4bd325d_0
    - tk 8.6.10 h21135ba_1
    - tzdata 2021a he74cb21_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - libgcc-ng >=9.3.0
    - libstdcxx-ng >=9.3.0
    - mkl >=2021.2.0,<2022.0a0
    - numpy >=1.19.5,<2.0a0
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
test:
  commands:
    - nosetests -v mkl_random
  imports:
    - mkl_random
    - mkl_random.mklrand
  requires:
    - mkl-service
    - nose
    - numpy >=1.14
about:
  description: NumPy-based implementation of random number generation sampling using
    Intel (R) Math Kernel Library, mirroring numpy.random, but exposing all choices
    of sampling algorithms available in MKL.
  home: http://github.com/IntelPython/mkl_random
  license: BSD-3-Clause
  license_file: LICENSE.txt
  summary: Intel (R) MKL-powered package for sampling from common probability distributions
    into NumPy arrays.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - oleksandr-pavlyk
